/*** Copyright: OGIHARA Takeshi, April 2008 ***/

#import <Foundation/NSObject.h>
#import "types.h"

@class NSColor;

@protocol UroClient
- (UroPoint)reset;
- (oneway void)start;
- (oneway void)stop;
@property(readonly) NSColor *color;
@end

@interface UroPiece: NSObject <UroClient>
{
    UroPoint location;
    id controller;
    int lastDirection;
    NSColor *color;
    BOOL inAction;
}
+ (void)initialize;
- (int)random:(int)range;
+ (void)setBoardWidth:(int)w height:(int)h;
+ (void)connectNewClient:(id)ports;
- (id)initWithController:(id)obj;
@end
